Search Gradle plugins

Version 1.0.157 (latest)

Created 22 October 2019.

Plugin that applies buildSrc-default-plugins and name.remal.experimental-default-plugins plugins. Min Gradle version: 4.5.

Using the plugins DSL:

plugins {
  id "name.remal.experimental-buildSrc-default-plugins" version "1.0.157"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "name.remal:gradle-plugins:1.0.157"
  }
}

apply plugin: "name.remal.experimental-buildSrc-default-plugins"

Using the plugins DSL:

plugins {
  id("name.remal.experimental-buildSrc-default-plugins") version "1.0.157"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("name.remal:gradle-plugins:1.0.157")
  }
}

apply(plugin = "name.remal.experimental-buildSrc-default-plugins")

Learn how to apply plugins to subprojects